/* ==================================================
   RESET
   ================================================== */

*,
*::before,
*::after {
  box-sizing: border-box;
}

html {
  height: 100%;
}

body {
  min-height: 100vh;
  margin: 0;

  font-family: var(--font-base, Arial, Helvetica, sans-serif);
  color: var(--color-text);
  background-color: var(--color-bg-body);
  background-image: url('/img.php?src=/media/images/myvilla24_background.jpeg&w=2500');
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
  background-attachment: fixed;

  display: flex;
  flex-direction: column;
}


/* ==================================================
   TYPOGRAPHY
   ================================================== */

h1,
h2,
h3,
h4,
h5,
h6 {
  margin: 0 0 0.5em 0;
  font-weight: 600;
}

h2{
color: var( --color-h2);
}

p {
  margin: 0 0 1em 0;
  line-height: 1.6;
}

strong {
  font-weight: 600;
}


/* ==================================================
   MEDIA RESET
   ================================================== */

img,
picture,
video {
  max-width: 100%;
  height: auto;
  display: block;
}
